Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface JTAStatisticsRuntimeMBean

All Known Subinterfaces:
  JTARuntimeMBean, JTATransactionStatisticsRuntimeMBean, NonXAResourceRuntimeMBean, TransactionNameRuntimeMBean, TransactionResourceRuntimeMBean

public interface JTAStatisticsRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This interface contains general JTA runtime statistics.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`long` | `getTransactionCommittedTotalCount()` Returns the number of committed transactions.
`long` | `getTransactionHeuristicsTotalCount()` Returns the number of transactions that completed with a heuristic status.
`long` | `getTransactionRolledBackTotalCount()` Returns the number of transactions that were rolled back.
`long` | `getTransactionTotalCount()` Returns the total number of transactions processed.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getTransactionTotalCount

    public long getTransactionTotalCount()

  Returns the total number of transactions processed. This total includes all committed, rolled back and heuristic transaction completions.

  Returns:
    The transactionTotalCount value

### getTransactionCommittedTotalCount

    public long getTransactionCommittedTotalCount()

  Returns the number of committed transactions.

  Returns:
    The transactionCommittedTotalCount value

### getTransactionRolledBackTotalCount

    public long getTransactionRolledBackTotalCount()

  Returns the number of transactions that were rolled back.

  Returns:
    The transactionRolledBackTotalCount value

### getTransactionHeuristicsTotalCount

    public long getTransactionHeuristicsTotalCount()

  Returns the number of transactions that completed with a heuristic status.

  Returns:
    The transactionHeuristicsTotalCount value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD